#!/usr/bin/env python3

# use the imagemagick executable to create a specular map with chosen brightness
# for example, to use brightness -30% relative to the diffuse map:
#   ./specular_map.py concrete_floor_02_d.webp -30

import sys
import os

source = sys.argv[1]
target = source[0:-7] + "_s.webp"
adjust = sys.argv[2]
command = "convert -colorspace Gray -brightness-contrast {0} {1} {2}".format(adjust, source, target)
print(command)
os.system(command)
